Subject: Re: Question about installing path to external destination

From: Igor Miroshnik <[email-masked]>
Date: Tue, 9 Dec 2003 13:17:22 -0500

Mani,

   In the case you presented, there will be a single path to the External
Destination, namely, via Area 1. If RFC1583Compatibility is set
to "disabled", the path via the Backbone will be pruned before cost
comparison as having lower preference. Otherwise, the costs are equal, but
Area ID will break the tie in the Area 1's favor, still resulting in a
single path.

   If you change the interface costs in a way that RT2 is closer to RT1 via
the Backbone, then the path (still single) will pass through the Backbone,
provided RFC1583Compatibility is set to "enabled".

Regards,
Igor

On Tue, 9 Dec 2003 12:48:31 -0500, Manivannan Devarajan
<[email-masked]> wrote:

>Hi all,
>
>          Area 0
>          ---------
>          cost 1
>     RT1              RT2 -------o(External destination)
>          cost 1        (ASBR)
>          ---------
>          Area 1
>
>
>My question is, whether RT1 will have a ECMP to Ex destination
>through Area0 & Area 1. Or RT1 will have only one route through
>Area 1 to the external destination.
>
>
>Reference
>RFC2328 Section 16.4.1.  External path preferences
> o   Intra-area paths using non-backbone areas are always the
>                most preferred.
>
> o   The other paths, intra-area backbone paths and inter-
>      area paths, are of equal preference.
>
>RFC2328 Section 16.4.  Calculating AS external routes
>(3) ...
>  In any case, among the remaining routing
>  table entries, select the routing table entry with the least
>  cost; when there are multiple least cost routing table
>  entries the entry whose associated area has the largest OSPF
>  Area ID (when considered as an unsigned 32-bit integer) is
>  chosen.
>
>
>Thanks in advance,
>-<Mani